Page MenuHomePhabricator

#Babel no longer functions in Wikidata
Closed, ResolvedPublic

Description

After a recent update I no longer get the languages I expect based on the existing Babel information.
Thanks,

GerardM

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterFix term box when invalid language code in babel is set

Event Timeline

GerardM created this task.Apr 2 2015, 2:34 PM
GerardM raised the priority of this task from to Needs Triage.
GerardM updated the task description. (Show Details)
GerardM added a project: Wikidata.
GerardM added a subscriber: GerardM.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 2 2015, 2:34 PM
Sjoerddebruin set Security to None.
Sjoerddebruin added a subscriber: Sjoerddebruin.

Please provide the operating system and browser you're using.

Windows 7 FF and Chrome

Can you please try to remove the autopatroller part of the babel template and see if this fixes it?

Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Apr 10 2015, 1:46 PM

I found that the language ase-0 makes the babel Functionality fail

Bene added a subscriber: Bene.Apr 15 2015, 7:31 AM

I did some debugging and it seems that the HTML renders correctly and displays all languages defined in {{#babel}}, only omitting the invalid ase code which is not supported for terms.

However, when javascript is enabled, the form is somehow rebuilt and suddenly no languages defined in {{#babel}} are shown anymore. The question is, why does javascript actually rebuild the form (that's actually an issue)? And why does it omit the {{#babel}} languages then although they are correctly defined in wbUserSpecifiedLanguages?

Change 204227 had a related patch set uploaded (by Bene):
Fix term box when invalid language code in babel is set

https://gerrit.wikimedia.org/r/204227

Change 204227 merged by jenkins-bot:
Fix term box when invalid language code in babel is set

https://gerrit.wikimedia.org/r/204227

Bene claimed this task.Apr 15 2015, 7:09 PM
hoo closed this task as Resolved.Apr 15 2015, 10:42 PM
hoo removed a project: Patch-For-Review.
hoo moved this task from Backlog to Done on the Wikidata-Sprint-2015-04-07 board.